Subject: Re: [PATCH 3/6] t6423: document two bugs with rename-to-self testcases

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 5 Aug 2025 06:38:45 +0200

On Mon, Aug 04, 2025 at 12:15:15PM -0700, Elijah Newren wrote:
> On Fri, Aug 1, 2025 at 1:31 AM Patrick Steinhardt <[email-masked]> wrote:
> >
> > On Tue, Jul 22, 2025 at 03:23:08PM +0000, Elijah Newren via GitGitGadget wrote:
> > > diff --git a/t/t6423-merge-rename-directories.sh b/t/t6423-merge-rename-directories.sh
> > > index f48ed6d03534..69de7a3b84af 100755
> > > --- a/t/t6423-merge-rename-directories.sh
> > > +++ b/t/t6423-merge-rename-directories.sh
> > I found it to be a bit weird that we have this conditional here.
> > Shouldn't we expect one particular outcome? Even if multiple outcomes
> > would be techincally correct I think we should expect one particular
> > result, but we may add a comment to explain that different output would
> > be fine, too.
> 
> Isn't that exactly what I did, with the note I'll copy below?

Not quite -- you do have a comment explaining why you relax the test.
But I think it would be preferable to _not_ relax the test but still
have a comment that says that the outcome isn't quite clear cut. This
would alert us if the outcome ever changed and thus make it way more of
a concious change if we had to adapt the test, but it would still leave
a future reader in the know that a changed test outcome might actually
be okay.

Patrick